Page MenuHomePhabricator

[Task] Release Wikibase DataModel 7.0.0
Closed, ResolvedPublic

Description

This release focuses on braking changes to the internal PHP serialization of several EntityId related classes. This is (sometimes) used when cloning objects and required to fully support new entity types (federation).

The 7.0.0 milestone on GitHub: https://github.com/wmde/WikibaseDataModel/milestone/20

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterBump DataModel to version 7.0.0

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Invaliddaniel
Resolvedthiemowmde

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2017, 2:16 PM
thiemowmde triaged this task as Normal priority.Feb 13 2017, 2:20 PM
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde added a project: Patch-For-Review.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde updated the task description. (Show Details)Mar 14 2017, 5:01 PM
daniel updated the task description. (Show Details)Mar 14 2017, 6:18 PM
Aleksey_WMDE updated the task description. (Show Details)
thiemowmde updated the task description. (Show Details)Mar 15 2017, 11:40 AM
Aleksey_WMDE updated the task description. (Show Details)

Change 343842 had a related patch set uploaded (by Jonas Kress (WMDE)):
[mediawiki/extensions/Wikibase] Bump DataModel to version 7.0.0

https://gerrit.wikimedia.org/r/343842

Change 343842 abandoned by Jonas Kress (WMDE):
Bump DataModel to version 7.0.0

Reason:
https://gerrit.wikimedia.org/r/#/c/342817/

https://gerrit.wikimedia.org/r/343842

Aleksey_WMDE updated the task description. (Show Details)
Aleksey_WMDE moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.
thiemowmde closed this task as Resolved.Mar 28 2017, 8:46 AM